Skip to main content
PUT
/
{alias}
/
orders
/
{orderId}
/
labels
/
{labelId}
Atualizar etiqueta
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/orders/{orderId}/labels/{labelId} \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "file_url": "https://url.com/label.pdf",
  "code": "123123123132",
  "tracking_code": "P182371823713BR",
  "tracking_url": "https://url.com/P182371823713BR",
  "shipping_service": "pac"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/orders/{orderId}/labels/{labelId}"

payload = {
"file_url": "https://url.com/label.pdf",
"code": "123123123132",
"tracking_code": "P182371823713BR",
"tracking_url": "https://url.com/P182371823713BR",
"shipping_service": "pac"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
file_url: 'https://url.com/label.pdf',
code: '123123123132',
tracking_code: 'P182371823713BR',
tracking_url: 'https://url.com/P182371823713BR',
shipping_service: 'pac'
})
};

fetch('https://api.dooki.com.br/v2/{alias}/orders/{orderId}/labels/{labelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    "<unknown>"
  ]
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

orderId
integer
required

ID do pedido

labelId
integer
required

ID da etiqueta

Body

application/json

Detalhes da etiqueta

Representa os dados para criar uma etiqueta de um pedido

file_url
string
required

URL do arquivo da etiqueta

Example:

"https://url.com/label.pdf"

code
string

Código da etiqueta

Example:

"123123123132"

tracking_code
string

Código de rastreamento da etiqueta

Example:

"P182371823713BR"

tracking_url
string

URL de rastreamento

Example:

"https://url.com/P182371823713BR"

shipping_service
string

Nome do serviço de entrega

Example:

"pac"

Response

Detalhes de uma etiqueta de um pedido

data
any[]